#include <cstring>

#include "testlib.h"

const int maxN = 15;

int n, k, a[maxN];

int main() {
	registerValidation();
	n = inf.readInt(1, maxN);
	inf.readEoln();
	k = inf.readInt(1, n);
	inf.readEoln();
	for (int i = 0; i < k; ++i) {
		a[i] = inf.readInt(1, n);
		if (i + 1 < n) {
			inf.readSpace();
		}
	}
	inf.readEoln();
	inf.readEof();
	for (int i = 0; i < n - 1; i++) {
		ensure(a[i] < a[i + 1]);
	}
	return 0;
}
